export default class DatasetVersion {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/list', 'post', params, axiosOption, httpOption);
  }
  static publish (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/publish', 'get', params, axiosOption, httpOption);
  }
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/view', 'get', params, axiosOption, httpOption);
  }
          
  static export (sender, params, fileName) {
    return sender.download('/admin/app/datasetVersion/export', params, fileName);
  }
  static startExport (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/startExport', 'get', params, axiosOption, httpOption);
  }
  static load (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/load', 'post', params, axiosOption, httpOption);
  }

  static outputList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetOutput/list', 'post', params, axiosOption, httpOption);
  }
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/add', 'post', params, axiosOption, httpOption);
  }
          
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/update', 'post', params, axiosOption, httpOption);
  }
          
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/delete', 'post', params, axiosOption, httpOption);
  }

  static importFile (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/import', 'post', params, axiosOption, httpOption);
  }
  static detail (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetVersion/detail', 'post', params, axiosOption, httpOption);
  }
}
